From f53805bdc108b608e40f217e6a78e7e4df4284f2 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Sun, 18 Mar 2018 11:56:57 +0100
Subject: [PATCH] Fix build with Qt 5.11 (missing headers)

Reviewers: #calligra:_3.0

Tags: #calligra:_3.0

Differential Revision: https://phabricator.kde.org/D11454
---
 src/kptview.h                                         | 1 +
 src/kptviewlist.cpp                                   | 1 +
 src/libs/ui/kptaccountseditor.cpp                     | 1 +
 src/libs/ui/kptdocumentspanel.h                       | 1 +
 src/libs/ui/kptitemviewsettup.cpp                     | 2 +-
 src/libs/ui/kpttaskeditor.cpp                         | 1 +
 src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp | 1 +
 src/libs/widgets/KoPageLayoutWidget.cpp               | 2 ++
 15 files changed, 18 insertions(+), 1 deletion(-)

diff --git a/src/kptview.h b/src/kptview.h
index 44d11935e71..a98e55342db 100644
--- a/src/kptview.h
+++ b/src/kptview.h
@@ -28,6 +28,7 @@
 #include "kptcontext.h"
 #include "kptviewbase.h"
 
+#include <QActionGroup>
 #include <QDockWidget>
 #include <QMap>
 
diff --git a/src/kptviewlist.cpp b/src/kptviewlist.cpp
index f34e702e055..0e6db7b2ffe 100644
--- a/src/kptviewlist.cpp
+++ b/src/kptviewlist.cpp
@@ -25,6 +25,7 @@
 #include <QStyle>
 #include <QBrush>
 #include <QContextMenuEvent>
+#include <QHeaderView>
 #include <QMenu>
 
 #include <kmessagebox.h>
diff --git a/src/libs/ui/kptaccountseditor.cpp b/src/libs/ui/kptaccountseditor.cpp
index 7991fafd779..54e3a87c94f 100644
--- a/src/libs/ui/kptaccountseditor.cpp
+++ b/src/libs/ui/kptaccountseditor.cpp
@@ -40,6 +40,7 @@
 #include <QContextMenuEvent>
 #include <QMenu>
 #include <QAction>
+#include <QHeaderView>
 
 #include <KLocalizedString>
 #include <kactioncollection.h>
diff --git a/src/libs/ui/kptdocumentspanel.h b/src/libs/ui/kptdocumentspanel.h
index 00ea3af80b2..491cb1ebb86 100644
--- a/src/libs/ui/kptdocumentspanel.h
+++ b/src/libs/ui/kptdocumentspanel.h
@@ -26,6 +26,7 @@
 
 #include "kptdocuments.h"
 
+#include <QModelIndexList>
 #include <QWidget>
 #include <kundo2qstack.h>
 
diff --git a/src/libs/ui/kptitemviewsettup.cpp b/src/libs/ui/kptitemviewsettup.cpp
index d1c3b1fc157..7c97a070b9a 100644
--- a/src/libs/ui/kptitemviewsettup.cpp
+++ b/src/libs/ui/kptitemviewsettup.cpp
@@ -25,9 +25,9 @@
 
 #include "KoPageLayoutWidget.h"
 
+#include <QHeaderView>
 #include <QPushButton>
 
-
 namespace KPlato
 {
 
diff --git a/src/libs/ui/kpttaskeditor.cpp b/src/libs/ui/kpttaskeditor.cpp
index 21546118d33..91db5acbb18 100644
--- a/src/libs/ui/kpttaskeditor.cpp
+++ b/src/libs/ui/kpttaskeditor.cpp
@@ -45,6 +45,7 @@
 #include <QVBoxLayout>
 #include <QDragMoveEvent>
 #include <QAction>
+#include <QHeaderView>
 #include <QMenu>
 
 #include <kactionmenu.h>
diff --git a/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp b/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
index 344ebc2b599..9146f06ab8c 100644
--- a/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
+++ b/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
@@ -31,6 +31,7 @@
 #include <KFile>
 
 #include <QAction>
+#include <QHeaderView>
 #include <QTreeView>
 #include <QStandardItemModel>
 #include <QModelIndex>
diff --git a/src/libs/widgets/KoPageLayoutWidget.cpp b/src/libs/widgets/KoPageLayoutWidget.cpp
index c9e17b748a9..b67e9848807 100644
--- a/src/libs/widgets/KoPageLayoutWidget.cpp
+++ b/src/libs/widgets/KoPageLayoutWidget.cpp
@@ -23,6 +23,8 @@
 
 #include <KoUnit.h>
 
+#include <QButtonGroup>
+
 class Q_DECL_HIDDEN KoPageLayoutWidget::Private
 {
 public:
-- 
2.16.2

